[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamReader.Reset

Reset the stream to its original position

## Declaration

Source position: streamex.pp line 118

`public procedure TStreamReader.Reset; override;`

## Description

Reset sets the stream to its original position. This is the stream-specific implementation of the abstract TTextReader.Reset method.

## Errors

If the source stream (TStreamReader.BaseStream) is not seekable, then this method may raise an exception.

## See also

TStreamReader.BaseStream |  | The stream with the text data